Bug 1304253 - Add a parameter to set pullthrough option to false on registry config.yml
Add a parameter to set pullthrough option to false on registry config.yml
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image Registry (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Paul Weil
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 02:23 EST by zhou ying
Modified: 2017-05-30 08:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-30 08:49:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhou ying 2016-02-03 02:23:08 EST
Description of problem:
Need to test the pullthrough option to false on registry config.yml, but now have no parameter to set it. It's better to use option when create the integrated registry.



Version-Release number of selected component (if applicable):
openshift v1.1.1-361-g6408278
kubernetes v1.2.0-alpha.4-851-g4a65fa1
etcd 2.2.2

How reproducible:
Always

Steps to Reproduce:
1. Start Openshift and create integrated registry;
2. Enter the integrated registry's pod , and update the config.yml
3. Use 'docker commit' command to the integrated registry's pod, to create the latest image;
4. Use the new created latest image to create integrated registry again.


Actual results:
Need to use the 4 steps to create integrated registry with pullthrough=false

Expected results:
It's better to use option when create the integrated registry.


Additional info:
Comment 1 Paul Weil 2017-02-16 16:34:07 EST
you may override the configuration of the registry by providing a REGISTRY_CONFIGURATION_PATH and mounting the config.yaml into the pod.

Details: https://docs.openshift.org/latest/install_config/registry/extended_registry_configuration.html#advanced-overriding-the-registry-configuration
Comment 2 zhou ying 2017-02-20 03:37:37 EST
Confirmed with latest version, now  we have option on config and can override the configuration by env:REGISTRY_MIDDLEWARE_REPOSITORY_OPENSHIFT_PULLTHROUGH=false

openshift version
openshift v3.5.0.31-1+d55d08f
kubernetes v1.5.2+43a9be4
etcd 3.1.0


middleware:
  registry:
    - name: openshift
  repository:
    - name: openshift
      options:
        acceptschema2: false
        pullthrough: true
        mirrorpullthrough: true
        enforcequota: false
        projectcachettl: 1m
        blobrepositorycachettl: 10m

Note You need to log in before you can comment on or make changes to this bug.